Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## edu.princeton.repeatedgames.rgsolve
Enum RGSolution.TEXT_OUTPUT_TYPE

    java.lang.Object
      java.lang.Enum<RGSolution.TEXT_OUTPUT_TYPE>
          edu.princeton.repeatedgames.rgsolve.RGSolution.TEXT_OUTPUT_TYPE

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RGSolution.TEXT_OUTPUT_TYPE>

Enclosing class:
  RGSolution

    public static enum RGSolution.TEXT_OUTPUT_TYPE

extends java.lang.Enum<RGSolution.TEXT_OUTPUT_TYPE>

enum for formatting of V* as text table

Enum Constant Summary
`COMMA` table with comma character as delimiter
`LATEX` table formatted for inclusion in TeX file
`SPACE` table with space character as delimiter
`TAB` table with tab character as delimiter
`TEXT_FMT` table formatted as text

Method Summary
`static RGSolution.TEXT_OUTPUT_TYPE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RGSolution.TEXT_OUTPUT_TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TEXT_FMT

    public static final RGSolution.TEXT_OUTPUT_TYPE TEXT_FMT

  table formatted as text

### LATEX

    public static final RGSolution.TEXT_OUTPUT_TYPE LATEX

  table formatted for inclusion in TeX file

### COMMA

    public static final RGSolution.TEXT_OUTPUT_TYPE COMMA

  table with comma character as delimiter

### TAB

    public static final RGSolution.TEXT_OUTPUT_TYPE TAB

  table with tab character as delimiter

### SPACE

    public static final RGSolution.TEXT_OUTPUT_TYPE SPACE

  table with space character as delimiter

Method Detail

### values

    public static RGSolution.TEXT_OUTPUT_TYPE[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RGSolution.TEXT_OUTPUT_TYPE c : RGSolution.TEXT_OUTPUT_TYPE.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RGSolution.TEXT_OUTPUT_TYPE valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD